Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class KeyWrapAlgorithm

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.Algorithm
            |
            +--org.mozilla.jss.crypto.KeyWrapAlgorithm

public class KeyWrapAlgorithm
extends Algorithm

Field Summary
`static KeyWrapAlgorithm` | `DES_CBC`
`static KeyWrapAlgorithm` | `DES_CBC_PAD`
`static KeyWrapAlgorithm` | `DES_ECB`
`static KeyWrapAlgorithm` | `DES3_CBC`
`static KeyWrapAlgorithm` | `DES3_CBC_PAD`
`static KeyWrapAlgorithm` | `DES3_ECB`
`private boolean` | `padded`
`private java.lang.Class` | `parameterClass`
`static KeyWrapAlgorithm` | `PLAINTEXT`
`static KeyWrapAlgorithm` | `RSA`

Fields inherited from class org.mozilla.jss.crypto.Algorithm
`ANSI_X9_ALGORITHM, CKM_DES_CBC_PAD, CKM_DES_KEY_GEN, CKM_DES3_CBC_PAD, CKM_DES3_ECB, CKM_DES3_KEY_GEN, CKM_DSA_KEY_PAIR_GEN, CKM_PBA_SHA1_WITH_SHA1_HMAC, CKM_RC4_KEY_GEN, CKM_RSA_PKCS_KEY_PAIR_GEN, CKM_SHA_1_HMAC, name, oid, oidIndex, SEC_OID_ANSIX9_DSA_SIGNATURE, SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST, SEC_OID_DES_CBC, SEC_OID_DES_ECB, SEC_OID_DES_EDE3_CBC, SEC_OID_MD2, SEC_OID_MD5, SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4, SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC, SEC_OID_RC2_CBC, SEC_OID_RC4, SEC_OID_SHA1`

Constructor Summary
`protected` | `KeyWrapAlgorithm(int oidTag, java.lang.String name, java.lang.Class paramClass, boolean padded)`

Method Summary
`java.lang.Class` | `getParameterClass()` The type of parameter that this algorithm expects.
`boolean` | `isPadded()`

Methods inherited from class org.mozilla.jss.crypto.Algorithm
`toOID, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### parameterClass

    private java.lang.Class parameterClass

### padded

    private boolean padded

### DES_ECB

    public static final KeyWrapAlgorithm DES_ECB

### DES_CBC

    public static final KeyWrapAlgorithm DES_CBC

### DES_CBC_PAD

    public static final KeyWrapAlgorithm DES_CBC_PAD

### DES3_ECB

    public static final KeyWrapAlgorithm DES3_ECB

### DES3_CBC

    public static final KeyWrapAlgorithm DES3_CBC

### DES3_CBC_PAD

    public static final KeyWrapAlgorithm DES3_CBC_PAD

### RSA

    public static final KeyWrapAlgorithm RSA

### PLAINTEXT

    public static final KeyWrapAlgorithm PLAINTEXT

Constructor Detail

### KeyWrapAlgorithm

    protected KeyWrapAlgorithm(int oidTag,
                               java.lang.String name,
                               java.lang.Class paramClass,
                               boolean padded)

Method Detail

### getParameterClass

    public java.lang.Class getParameterClass()

  The type of parameter that this algorithm expects. Returns `null` if this algorithm does not take any parameters.
  Overrides:
    `getParameterClass` in class `Algorithm`

### isPadded

    public boolean isPadded()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD